Redmine - Patch #5281

Remove empty ul tags in the issue history
2010-04-09 13:51 - Henrik Ammer

Status: Closed Start date: 2010-04-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Description

| was a bit annoyed that the ul with the details in history always showed even when empty. Sure, it does not render in most browsers
since it's empty but | wasn't to happy about it either. :)

And when | added the if sentence | also added a CSS class to the ul just to make it easier to style if needed.

Attached diff

-—— app/views/issues/_history.rhtml (revision 3629)
+++ app/views/issues/_history.rhtml (working copy)
@@ -6,11 +6,13 Q@
<%= content_tag('a', '', :name => "note-#{journal.indice}") %>

<%= authoring Jjournal.created_on, Jjournal.user, :label => :label_updated_time_by %></h4>

<ul>
- <% for detail in journal.details %>

+ <% if journal.details.any? %>
+ <ul class="details">
+ <% for detail in journal.details %>
<1i><%= show_detail (detail) $%$></1li>

+ <% end %>
+ </ul>

<% end %>
- </ul>

<%= render_notes (issue, journal, :reply_links => reply_links) unless journal.notes.blank? %>

</div>

<%= call_hook (:view_issues_history_journal_bottom, { :journal => journal }) %>

Use it if needed.

Associated revisions

Revision 3666 - 2010-04-11 19:10 - Jean-Philippe Lang
Fixed: empty ul tag for issue updates with notes only (#5281).

History

#1 - 2010-04-11 19:09 - Jean-Philippe Lang
- Subject changed from History details ul not rendering when empty and add CSS class to Remove empty ul tags in the issue history
- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

Patch committed in r3666. Thanks.
